## Conversion functions

Conversion functions — Converts enumerated types into human readable strings

## Functions

const gchar * | ogmdvd_get_video_format_label ()
const gchar * | ogmdvd_get_display_aspect_label ()
const gchar * | ogmdvd_get_audio_format_label ()
const gchar * | ogmdvd_get_audio_channels_label ()
const gchar * | ogmdvd_get_audio_quantization_label ()
const gchar * | ogmdvd_get_audio_content_label ()
const gchar * | ogmdvd_get_subp_content_label ()
const gchar * | ogmdvd_get_language_label ()
const gchar * | ogmdvd_get_language_iso639_1 ()
const gchar * | ogmdvd_get_language_iso639_2 ()

## Object Hierarchy

## Includes

    #include <ogmdvd-labels.h>

## Description

## Functions

### ogmdvd_get_video_format_label ()

    const gchar *
    ogmdvd_get_video_format_label (gint format);

Returns a human readable video format.

#### Parameters

format | The video format |

#### Returns

A constant string, or NULL

### ogmdvd_get_display_aspect_label ()

    const gchar *
    ogmdvd_get_display_aspect_label (gint aspect);

Returns a human readable display aspect.

#### Parameters

aspect | The display aspect |

#### Returns

A constant string, or NULL

### ogmdvd_get_audio_format_label ()

    const gchar *
    ogmdvd_get_audio_format_label (gint format);

Returns a human readable audio format.

#### Parameters

format | The audio format |

#### Returns

A constant string, or NULL

### ogmdvd_get_audio_channels_label ()

    const gchar *
    ogmdvd_get_audio_channels_label (gint channels);

Returns a human readable number of channels.

#### Parameters

channels | The number of channels |

#### Returns

A constant string, or NULL

### ogmdvd_get_audio_quantization_label ()

    const gchar *
    ogmdvd_get_audio_quantization_label (gint quantization);

Returns a human readable quantization.

#### Parameters

quantization | The quantization |

#### Returns

A constant string, or NULL

### ogmdvd_get_audio_content_label ()

    const gchar *
    ogmdvd_get_audio_content_label (gint content);

Returns a human readable audio content.

#### Parameters

content | The audio content |

#### Returns

A constant string, or NULL

### ogmdvd_get_subp_content_label ()

    const gchar *
    ogmdvd_get_subp_content_label (gint content);

Returns a human readable subtitles content.

#### Parameters

content | The subtitles content |

#### Returns

A constant string, or NULL

### ogmdvd_get_language_label ()

    const gchar *
    ogmdvd_get_language_label (gint code);

Returns a human readable language.

#### Parameters

code | The language code |

#### Returns

A constant string, or NULL

### ogmdvd_get_language_iso639_1 ()

    const gchar *
    ogmdvd_get_language_iso639_1 (gint code);

Returns an ISO 639-1 language.

#### Parameters

code | The language code |

#### Returns

A constant string, or NULL

### ogmdvd_get_language_iso639_2 ()

    const gchar *
    ogmdvd_get_language_iso639_2 (gint code);

Returns an ISO 639-2 language.

#### Parameters

code | The language code |

#### Returns

A constant string, or NULL

## Types and Values